"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Score(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "score",
        "source",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_6 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.avro.Score": opencb_2_9_3.Score,
        }

    __slots__ = [
        "score",
        "source",
        "description",
    ]

    def __init__(
        self,
        score,
        source,
        description=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.Score model.

        :param score:
        :type score: double
        :param source:
        :type source: str
        :param description:
        :type description: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
